UI crash / broken with latest update (11/6)



  • I just upgraded to the latest snapshot (been running 2.3 for a while) and am now experiencing crashes. I get the following crash log:

    PHP Errors:
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP Stack trace:
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP  1. {main}() /usr/local/www/index.php:0
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP  2. include() /usr/local/www/index.php:381
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP Fatal error:  require_once(): Failed opening required 'simplepie/simplepie.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg:/usr/local/www/classes:/usr/local/www/classes/Form') in /usr/local/www/widgets/widgets/rss.widget.php on line 122
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP Stack trace:
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP  1. {main}() /usr/local/www/index.php:0
    [06-Nov-2015 10:47:29 America/Los_Angeles] PHP  2. include() /usr/local/www/index.php:381
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP Stack trace:
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP  1. {main}() /usr/local/www/index.php:0
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP  2. include() /usr/local/www/index.php:381
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP Fatal error:  require_once(): Failed opening required 'simplepie/simplepie.inc' (include_path='.:/etc/inc:/usr/local/www:/usr/local/captiveportal:/usr/local/pkg:/usr/local/www/classes:/usr/local/www/classes/Form') in /usr/local/www/widgets/widgets/rss.widget.php on line 122
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP Stack trace:
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP  1. {main}() /usr/local/www/index.php:0
    [06-Nov-2015 10:48:00 America/Los_Angeles] PHP  2. include() /usr/local/www/index.php:381

    This happens whenever I click on any menu items in the UI. Any suggestions on how I can fix this?

    Thanks.


  • Banned


  • Developer Netgate

    Mea culpa  :(

    Having converted to a new pie-chart graphics library it seemed like a good idea to remove the old one. - Except that simplepie was actually the RSS reader library and nothing to do with pie charts at all. Who would have thought?

    I have restored the deleted files (etc/inc/simplepie/simplepie.inc and etc/inc/simplepie.LICENCE.txt) and re-tested the interface.

    Sorry.


Log in to reply